OLT Service Port
14 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| editAutoServicePort | POST | Batch modify auto service port |
| getAutoServicePortList | GET | Get auto service port list |
| getAutoServicePortConfigPage | GET | Get auto service port config page |
| getAutoRefreshConfig | GET | Get auto refresh config |
| editAutoRefreshConfig | POST | Modify an existing auto refresh config |
| clearStatisticInfo | POST | Batch delete existing statistic info |
| getStatisticInfoDetail | GET | Get statistic info detail |
| getStatisticInfoList | GET | Get statistic info list |
| getStatisticInfoPage | GET | Get statistic info page |
| addServicePort | POST | Create new service port |
| deleteServicePort | POST | Batch delete existing service port |
| editServicePort | POST | Modify an existing service port |
| getServicePortList | GET | Get service port list |
| getServicePortPage | GET | Get service port page |
editAutoServicePort
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/auto-service-ports/edit
Batch modify auto service port
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required)
Type: array<AutoServicePortDTO>
// omada_call_operation
{
"operationId": "editAutoServicePort",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Batch modify auto service port
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getAutoServicePortList
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/auto-service-ports/list
Get auto service port list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
queryParam | query | AutoServicePortQueryDTO | no | Object: its fields (searchKey, sorts, size, number, searchField) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getAutoServicePortList",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get auto service port list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getAutoServicePortConfigPage
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/auto-service-ports/page
Get auto service port config page
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
queryParam | query | AutoServicePortQueryDTO | no | Object: its fields (searchKey, sorts, size, number, searchField) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getAutoServicePortConfigPage",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get auto service port config page
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getAutoRefreshConfig
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/service-port/statistic/configs
Get auto refresh config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getAutoRefreshConfig",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get auto refresh config
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
editAutoRefreshConfig
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/service-port/statistic/configs/edit
Modify an existing auto refresh config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema StatisticConfigDTO
| Field | Type | Required | Description |
|---|---|---|---|
autoRefresh | string | no | AutoRefresh should be a value as follows:DISABLE,ENABLE |
refreshInterval | integer | no | RefreshInterval should be within the range of 3 to 300 |
// omada_call_operation
{
"operationId": "editAutoRefreshConfig",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing auto refresh config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
clearStatisticInfo
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/service-port/statistics/clear
Batch delete existing statistic info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema IntIdListRequest
| Field | Type | Required | Description |
|---|---|---|---|
ids | array<integer> | yes | ID list |
// omada_call_operation
{
"operationId": "clearStatisticInfo",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Batch delete existing statistic info
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getStatisticInfoDetail
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/service-port/statistics/detail
Get statistic info detail
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
queryParam | query | StatisticInfoDetailQueryDTO | no | Object: its fields (servicePortIndex) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getStatisticInfoDetail",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get statistic info detail
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getStatisticInfoList
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/service-port/statistics/list
Get statistic info list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
queryParam | query | StatisticInfoQueryDTO | no | Object: its fields (searchKey, sorts, size, number) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getStatisticInfoList",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get statistic info list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getStatisticInfoPage
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/service-port/statistics/page
Get statistic info page
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
queryParam | query | StatisticInfoQueryDTO | no | Object: its fields (searchKey, sorts, size, number) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getStatisticInfoPage",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get statistic info page
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
addServicePort
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/service-ports/add
Create new service port
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema ServicePortAddDTO
| Field | Type | Required | Description |
|---|---|---|---|
ponPortId | integer | no | PonPortId should be within the range of 1 to 16 |
ponPortStr | string | no | String form of pon port |
svlan | integer | no | SVlan should be within the range of 1 to 4095 |
gemPortId | integer | no | GemPortId should be within the range of 1 to 1023 |
userVlan | integer | no | UserVlan should be within the range of 0 to 4095 |
userVlanPriority | integer | no | UserVlanPriority should be within the range of -1 to 7 |
tagAction | string | no | TagAction should be a value as follows:DEFAULT,TRANSPARENT,TRANSLATE,TRANSLATE_AND_ADD,ADD_DOUBLE |
innerVlan | integer | no | InnerVlan should be within the range of 0 to 4095 |
innerVlanPriority | integer | no | InnerVlanPriority should be within the range of -1 to 7 |
etherType | string | no | EtherType should be a value as follows:NONE,IPV4OE,IPV6OE,PPPOE |
inboundTrafficProfileId | integer | no | InboundTrafficProfileId should be within the range of 0 to 512 |
outboundTrafficProfileId | integer | no | OutboundTrafficProfileId should be within the range of 0 to 512 |
index | integer | no | ID of service port.Index should be within the range of 1 to 8100 |
batchConfig | boolean | yes | Whether it is batch addition.Default value:false |
description | string | no | Description of service port.Description should be 1-32 characters, including letters, numbers, and symbols (-@_😕.). |
onuId | string | yes | OnuId should be within the range of 0 to 127 |
adminStatus | string | yes | The enable status of the service flows matched by this Service Port. AdminStatus should be a value as follows: DISABLE,ENABLE. Default value: ENABLE. |
statisticPerformance | string | yes | The traffic statistics switch status for the service flows matched by this Service Port. StatisticPerformance should be a value as follows: DISABLE,ENABLE. Default value: DISABLE. |
// omada_call_operation
{
"operationId": "addServicePort",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Create new service port
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
deleteServicePort
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/service-ports/delete
Batch delete existing service port
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema IntIdListRequest
| Field | Type | Required | Description |
|---|---|---|---|
ids | array<integer> | yes | ID list |
// omada_call_operation
{
"operationId": "deleteServicePort",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Batch delete existing service port
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
editServicePort
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/service-ports/edit
Modify an existing service port
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema ServicePortModifyDTO
| Field | Type | Required | Description |
|---|---|---|---|
ponPortId | integer | no | PonPortId should be within the range of 1 to 16 |
ponPortStr | string | no | String form of pon port |
svlan | integer | no | SVlan should be within the range of 1 to 4095 |
gemPortId | integer | no | GemPortId should be within the range of 1 to 1023 |
userVlan | integer | no | UserVlan should be within the range of 0 to 4095 |
userVlanPriority | integer | no | UserVlanPriority should be within the range of -1 to 7 |
tagAction | string | no | TagAction should be a value as follows:DEFAULT,TRANSPARENT,TRANSLATE,TRANSLATE_AND_ADD,ADD_DOUBLE |
innerVlan | integer | no | InnerVlan should be within the range of 0 to 4095 |
innerVlanPriority | integer | no | InnerVlanPriority should be within the range of -1 to 7 |
etherType | string | no | EtherType should be a value as follows:NONE,IPV4OE,IPV6OE,PPPOE |
inboundTrafficProfileId | integer | no | InboundTrafficProfileId should be within the range of 0 to 512 |
outboundTrafficProfileId | integer | no | OutboundTrafficProfileId should be within the range of 0 to 512 |
index | integer | yes | Service port ID should be within the range of 1 to 8100 |
description | string | no | Description of service port.Description should contain 1 to 32 characters including numbers, Upper and lower letters, -@_😕. . |
onuId | integer | yes | Onu ID should be within the range of 0 to 127 |
adminStatus | string | yes | The enable status of the service flows matched by this Service Port. AdminStatus should be a value as follows: DISABLE,ENABLE. Default value: ENABLE. |
statisticPerformance | string | yes | The traffic statistics switch status for the service flows matched by this Service Port. StatisticPerformance should be a value as follows: DISABLE,ENABLE. Default value: DISABLE. |
// omada_call_operation
{
"operationId": "editServicePort",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing service port
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getServicePortList
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/service-ports/list
Get service port list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
queryParam | query | ServicePortQueryDTO | no | Object: its fields (searchKey, sorts, size, number, searchField) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getServicePortList",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get service port list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getServicePortPage
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/service-ports/page
Get service port page
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
queryParam | query | ServicePortQueryDTO | no | Object: its fields (searchKey, sorts, size, number, searchField) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getServicePortPage",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get service port page
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.